#include <gtk/gtk.h>
#include <unistd.h>

#define NB_BTX 5

int main(int argc, char* argv[]){
  GtkWidget* win;
  GtkWidget *bt[NB_BTX];
  GtkWidget *hbox;

  gtk_init(&argc, &argv);
  win  = gtk_window_new(GTK_WINDOW_TOPLEVEL);
  hbox = gtk_box_new(GTK_ORIENTATION_VERTICAL, 20);

  for(int i=0; i < NB_BTX; i++){
    gchar *lab = g_strdup_printf("Bouton %i", i);
    bt[i]  = gtk_button_new_with_label (lab);
  }
  
  gtk_container_add(GTK_CONTAINER(win), hbox);

  for(int i=0; i < NB_BTX; i++){
    gtk_box_pack_start (GTK_BOX(hbox), bt[i], TRUE, TRUE, 0);
  }
  
  gtk_widget_show_all(win);
  gtk_main();
  return EXIT_SUCCESS;
}
